#ifndef COLON_YEN_H
#define COLON_YEN_H

#include "numbered.h"

bool centeringSmallConsole(int hidden);
bool readBeforeCreatingWindows();
bool movingInside(HWND hwnd, bool showWhere);
bool startDepressed();
bool startHandler();
LRESULT CALLBACK WindowFunc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);
VOID CALLBACK showWhereCursor(HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime);
VOID CALLBACK TimerProc(HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime);
void centering(HWND hwnd);
void closing(bool taskCompleted);
void cornerHandler(HWND hwnd);
void createColonYenText();
void createVersionText(bool comment);
void diagonalHandler(HWND hwnd);
void layout();
void helpHandler(WPARAM wParam);
void rightHandler(HWND hwnd);
void executeProgram(const char *p, const char *q);
void executeProgram(std::string & e, std::string & o);
void underHandler(HWND hwnd);

#endif // COLON_YEN_H
