CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w -tW
LFLAGS = /Tpe /c /aa
RFLAGS = -32

TARGET = ColonYen.exe
OBJS   = colonyen.obj numbered.obj 
RESFILES = colonyen.res

ALL : $(TARGET)

colonyen.obj: ColonYen.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c ColonYen.cpp
numbered.obj: numbered.cpp
	$(CC) $(INCLUDE) -c numbered.cpp
colonyen.res: ColonYen.rc
	$(RC) $(RFLAGS) ColonYen.rc

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0w32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)

clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
	del *.res
