#ifndef NUMBERED_H
#define NUMBERED_H

#pragma warn -8012
#pragma warn -8057

#define VERSION "1.11"
#define SPLIT_ARRAY_SIZE 128
#define BUFFER_SIZE 4224
#define COLON_YEN_TEXT "ColonYen.txt"
#define CONSOLE_HEIGHT 390
#define CONSOLE_WIDTH 580
#define COMMAND "cmd.exe"
#define COMMAND_SWITCH "/T:0F"
#define FIND_WINDOW_MANY_TIMES 50
#define GAP " "
#define GAP_SIZE 1
#define HELP_FILE_NAME "ColonYen.pdf"
#define HIDDEN 0
#define LOWER_LIMIT 21
#define MAIN_HEIGHT 203
#define MAIN_WIDTH 289
#define MAIN_X 368
#define MAIN_Y 283
#define NON_SAMPLING_PERIOD 500
#define SMALL_BUFFER_SIZE 40
#define START "[start]"
#define START_CAPITAL_S "[Start]"
#define TEXT_AREA_HEIGHT 87
#define TEXT_AREA_TOP 107
#define TEXT_AREA_WIDTH 289
#define TRIMMING 1
#define UPPER_LIMIT 2100000000
#define USER_SPECIFIED_DIRECTORY "C:\\"
#define VERSION_TEXT "version.txt"
#define WAITING 1000
#define WINDOW_NAME "ColonYen"
#include <fstream>
#include <iostream>
#include <sstream>
#include <string>
#include <windows.h>
#include <stdlib.h>
#include "ColonYenID.h"

class Numbered {
    bool trimmed;
    char *p;
    char *pt;
    int length, non_number_length, span, trimmed_sequence_length;
    char *f;
    char *ft;
    char *s;
    char *st;

public:
    ~Numbered();
    Numbered(char *a);
    std::string parameter();
    bool trimmed_sequence();
    int number();
    int subnumber();
};

class Split {
    char *a[SPLIT_ARRAY_SIZE];
    int argument_count;
    std::string *s[SPLIT_ARRAY_SIZE];

public:
    int count() const {
        return argument_count;
    }

    int argumentLength(int i) {
        std::string r = *s[i];
        int length = r.length();
        return length;
    }

    std::string argument(int i) const {
        return *s[i];
    }

    Split(char *p, const char *gap);
    Split(char *p, const char *gap, bool exe);
    ~Split();
};

#endif // NUMBERED_H
